package myrms;
import javax.microedition.midlet.*;
import javax.microedition.rms.*;
	
	public class SimpleInsert extends MIDlet
	{
	  private RecordStore rs = null;
	  static final String REC_STORE = "db_1";

	  public SimpleInsert()
	  {
	    openRecStore();   // Create the record store
	    
	    // Write a few records
	    writeRecord("Sand Wedge");
	    writeRecord("One Wood");
	    writeRecord("Putter");    
	    writeRecord("Five Iron");        
	    
	    closeRecStore();  // Close record store
	    //deleteRecStore(); // Remove the record store
	  }

	  public void destroyApp( boolean unconditional )
	  {
	  }

	  public void startApp()
	  {
	    // There is no user interface, go ahead and shutdown
	    destroyApp(false);
	    notifyDestroyed();
	  }

	  public void pauseApp()
	  {
	  }

	  public void openRecStore()
	  {
	    try
	    {
	      // The second parameter indicates that the record store
	      // should be created if it does not exist
	      rs = RecordStore.openRecordStore(REC_STORE, true );
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }    
	  
	  public void closeRecStore()
	  {
	    try
	    {
	      rs.closeRecordStore();
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }

	  
	  public void writeRecord(String str)
	  {
	    byte[] rec = str.getBytes();

	    try
	    {
	      rs.addRecord(rec, 0, rec.length);
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }

	  /*--------------------------------------------------
	  * Simple message to console for debug/errors
	  * When used with Exceptions we should handle the 
	  * error in a more appropriate manner.
	  *-------------------------------------------------*/
	  private void db(String str)
	  {
	    System.err.println("Msg: " + str);
	  }
	}


