package myrms;

import javax.microedition.midlet.*;
import javax.microedition.rms.*;
import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.Display;

public class SimpleRead extends MIDlet
	{
	  private RecordStore rs = null;
	  static final String REC_STORE = "db_1";
	  private Alert strTemp=new Alert("Reading...");
	  
	  public SimpleRead()
	  {
	    openRecStore();   // Create the record store
	   
	    // Read back with enumerator, sorting the results
	    readRecords();
	    
	    closeRecStore();  // Close record store
	    //deleteRecStore(); // Remove the record store
	  }

	  public void destroyApp( boolean unconditional )
	  {
	  }

	  public void startApp()
	  {
	    // There is no user interface, go ahead and shutdown
		  Display.getDisplay(this).setCurrent(strTemp);
	    
	  }

	  public void pauseApp()
	  {
	  }

	  public void openRecStore()
	  {
	    try
	    {
	      // The second parameter indicates that the record store
	      // should be created if it does not exist
	      rs = RecordStore.openRecordStore(REC_STORE, true );
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }    
	  
	  public void closeRecStore()
	  {
	    try
	    {
	      rs.closeRecordStore();
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }

	  public void deleteRecStore()
	  {
	    if (RecordStore.listRecordStores() != null)
	    {
	      try
	      {
	        RecordStore.deleteRecordStore(REC_STORE);
	      }
	      catch (Exception e)
	      {
	        db(e.toString());
	      }
	    }      
	  }

	  

	  public void readRecords()
	  {
	    try
	    {
              System.out.println("************ Reading the following records:");
	      if (rs.getNumRecords() > 0)
	      {
	        Comparator1 comp = new Comparator1();
	        
	        RecordEnumeration re = rs.enumerateRecords(null, comp, false);
	        while (re.hasNextElement())
	        {
	          // Calls String constructor that takes an array of bytes as input
	          String str = new String(re.nextRecord());
          
	          System.out.println(str);                       
	        }
	      }
              else
                  System.out.println("There are no records in there!");
	    }
	    catch (Exception e)
	    {
	      db(e.toString());
	    }
	  }

	  /*--------------------------------------------------
	  * Simple message to console for debug/errors
	  * When used with Exceptions we should handle the 
	  * error in a more appropriate manner.
	  *-------------------------------------------------*/
	  private void db(String str)
	  {
	    System.err.println("Msg: " + str);
	  }
	  class Comparator1 implements RecordComparator
	  {
	    public int compare(byte[] rec1, byte[] rec2)
	    {
	      String str1 = new String(rec1), str2 = new String(rec2);
	      
	      int result = str1.compareTo(str2);
	      if (result == 0)
	        return RecordComparator.EQUIVALENT;
	      else if (result < 0)
	        return RecordComparator.PRECEDES;
	      else
	        return RecordComparator.FOLLOWS;
	      
	      
	      
	    }
	  }
}


